Package com.macrofocus.high_d.mds

# Enum Class MDSScatterPlotModel.Algorithm

java.lang.Object
java.lang.Enum<MDSScatterPlotModel.Algorithm>
com.macrofocus.high_d.mds.MDSScatterPlotModel.Algorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<MDSScatterPlotModel.Algorithm>`, `Constable`

Enclosing class:
  `MDSScatterPlotModel<Color,Row,C>`

public static enum MDSScatterPlotModel.Algorithm extends Enum<MDSScatterPlotModel.Algorithm>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PCA`
  `Sammon`
  `Spring`
  `TSNE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MDSScatterPlotModel.Algorithm`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MDSScatterPlotModel.Algorithm[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Sammon

    public static final MDSScatterPlotModel.Algorithm Sammon

  - ### Spring

    public static final MDSScatterPlotModel.Algorithm Spring

  - ### TSNE

    public static final MDSScatterPlotModel.Algorithm TSNE

  - ### PCA

    public static final MDSScatterPlotModel.Algorithm PCA

- ## Method Details

  - ### values

    public static MDSScatterPlotModel.Algorithm[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MDSScatterPlotModel.Algorithm valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null